## 画布拖动
应用项目中,关于画布拖动的需求是不同的,本引擎提供了相关 api 和代码,方便适应不同的应用场景.
::: details 目录
[[toc]]
:::
### 1 默认画布长按中键拖动

#### 绘制示例
<tuopu-baseTopu1/>

### 2 不允许拖动(默认为 true)
```
this.view.moveable = false;
```
#### 绘制示例
<tuopu-baseTopu4/>

### 左键拖动画布

#### 绘制示例

<tuopu-baseTopu3/>
左键拖动只需将 view 类做相应派生,定制出来就可以了;
这里我们已经为你做了派生;你只需替换即可
将 SGraphView 替换为 FloorView 即可.

::: details 示例代码
<<< @/docs/.vuepress/components/tuopu/baseTopu3.vue
:::

::: details FloorView 源码
<<< @/docs/.vuepress/components/tuopu/FloorView.ts
:::
