## 添加事件;
::: details 目录
[[toc]]
:::
### 绘制示例

<tuopu-baseTopu2/>

应用过程中往往会涉及到事件以及触发事件后获取对应的鼠标事件以及图例来实现相应的交互;


## 方法
只需将解析后获取的实例 item 执行相应的 api 即可;

```
    // 相关事件触发
    item.connect("onMouseDown", this, this.onMousedown);
    item.connect("onMouseUp", this, this.onMouseup);
    item.connect("onMouseLeave", this, this.onMouseleave);
    item.connect("onMouseEnter", this, this.onMouseenter);
```
:注 事件返回两个参数 : item 选中实例; event 鼠标事件
```
   // 鼠标点击事件
    onMousedown(item, e) {
      console.log("鼠标按下！", item, e);
    },
    // 鼠标抬起事件
    onMouseup(item, e) {
    },
    // 鼠标事件移入
    onMouseenter(item, e) {
    },
    // 鼠标事件移出
    onMouseleave(item, e) {
    },
```